From a7ba2e0f238a3d4adc2b9a33d6ec0f2dd7a6f2b9 Mon Sep 17 00:00:00 2001
From: Vicente Jimenez Aguilar <googuy@gmail.com>
Date: Tue, 27 Oct 2009 17:49:59 +0100
Subject: [PATCH 7/7] Add .sdp to reconized extensions

Inspired by Marian Durkovic's commit [80f9f8734a9e5d1fb68ee1e2102aecfbf91c613a]
---
 extras/package/win32/vlc.win32.nsi.in             |    1 +
 include/vlc_interface.h                           |    2 +-
 modules/gui/qt4/components/simple_preferences.cpp |    4 ++--
 3 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/extras/package/win32/vlc.win32.nsi.in b/extras/package/win32/vlc.win32.nsi.in
index 70b2dae..ae341f5 100644
--- a/extras/package/win32/vlc.win32.nsi.in
+++ b/extras/package/win32/vlc.win32.nsi.in
@@ -263,6 +263,7 @@ FunctionEnd
   !insertmacro ${_action} ".ifo"
   !insertmacro ${_action} ".m3u"
   !insertmacro ${_action} ".pls"
+  !insertmacro ${_action} ".sdp"
   !insertmacro ${_action} ".vlc"
   !insertmacro ${_action} ".xspf"
 !macroend
diff --git a/include/vlc_interface.h b/include/vlc_interface.h
index 6f05149..eeaa182 100644
--- a/include/vlc_interface.h
+++ b/include/vlc_interface.h
@@ -179,7 +179,7 @@ typedef enum vlc_dialog {
                          "*.ogg;*.ogm;*.ogv;*.ogx;*.ps;" \
                          "*.rec;*.rm;*.rmvb;*.tod;*.ts;*.vob;*.wmv"
 
-#define EXTENSIONS_PLAYLIST "*.asx;*.b4s;*.ifo;*.m3u;*.pls;*.ram;*.rar;*.vlc;*.xspf;*.zip"
+#define EXTENSIONS_PLAYLIST "*.asx;*.b4s;*.ifo;*.m3u;*.pls;*.ram;*.rar;*.sdp;*.vlc;*.xspf;*.zip"
 
 #define EXTENSIONS_MEDIA EXTENSIONS_VIDEO ";" EXTENSIONS_AUDIO ";" \
                           EXTENSIONS_PLAYLIST
diff --git a/modules/gui/qt4/components/simple_preferences.cpp b/modules/gui/qt4/components/simple_preferences.cpp
index cc0363a..cbf3e77 100644
--- a/modules/gui/qt4/components/simple_preferences.cpp
+++ b/modules/gui/qt4/components/simple_preferences.cpp
@@ -931,8 +931,8 @@ void SPrefsPanel::assoDialog()
                             : Qt::Unchecked );
 
     i_temp = 0;
-    aTo( ".asx" ); aTo( ".b4s" ); aTo( ".ifo" ); aTo( ".m3u" ); aTo( ".pls" ); aTo( ".vlc" );
-    aTo( ".xspf" );
+    aTo( ".asx" ); aTo( ".b4s" ); aTo( ".ifo" ); aTo( ".m3u" ); aTo( ".pls" );
+    aTo( ".sdp" ); aTo( ".vlc" ); aTo( ".xspf" );
     otherType->setCheckState( 0, ( i_temp > 0 ) ?
                               ( ( i_temp == audioType->childCount() ) ?
                                Qt::Checked : Qt::PartiallyChecked )
-- 
1.6.4.4

